Bug 485847 - installing bootchartd/booting with 'init=/sbin/bootchartd' on systems with encrypted root kills boot
installing bootchartd/booting with 'init=/sbin/bootchartd' on systems with en...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: bootchart (Show other bugs)
12
All Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-16 19:14 EST by Tom London
Modified: 2010-12-15 07:51 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:00:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom London 2009-02-16 19:14:24 EST
Description of problem:
Installing bootchartd (or adding 'init=/sbin/bootchartd' if already installed) causes "non-bootable" kernels.

Appears that boot is looking for '/sbin/bootchartd' before luksOpen/mount....

Never prompts for passphrase.....

[Suppose some could argue that bootchart-ing a system with encrypted root is a bit of a stretch.....]

Version-Release number of selected component (if applicable):
bootchart-0.9-9.fc9.x86_64

How reproducible:
Every time....

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Harald Hoyer 2009-02-17 09:27:51 EST
the culprit is plymouth_should_ignore_show_splash_calls()
Comment 2 Harald Hoyer 2009-02-17 09:28:22 EST
quickfixed packages here:  
http://harald.fedorapeople.org/downloads/plymouth-0.6.0-2.0.bootchart.1.fc11/
Comment 3 Tom London 2009-02-17 10:29:31 EST
Thanks.

Installed above packages and re-installed kernel.

Works!
Comment 4 Tom London 2009-02-20 12:28:57 EST
Closing
Comment 5 Harald Hoyer 2009-02-20 13:08:16 EST
why do you close it? it is not fixed!
Comment 6 Tom London 2009-02-20 13:22:32 EST
Sorry, I got carried away....

Works for me.  Just assumed it had made it into rawhide.

I'll reopen.
Comment 7 Karel Volný 2009-02-24 09:18:06 EST
I just got bitten by it too ... and I can confirm that the updated plymouth package (and kernel reinstallation!) fixes the problem
Comment 8 Tom London 2009-02-25 12:55:49 EST
Does the new rawhide package plymouth-0.6.0-3.fc11 include the bootchart fix?
Comment 9 Charles R. Anderson 2009-03-07 18:44:00 EST
The given fix doesn't appear to work with plymouth-0.7.0-0.2009.03.06.  The patch applies, but the system doesn't boot/passphrase isn't prompted.
Comment 10 Charles R. Anderson 2009-03-08 15:45:09 EDT
(In reply to comment #9)
> The given fix doesn't appear to work with plymouth-0.7.0-0.2009.03.06.  The
> patch applies, but the system doesn't boot/passphrase isn't prompted.  

I retract my statement.  It helps to rebuild the initrd so the rebuilt plymouth gets used :-)
Comment 11 Thomas Meyer 2009-03-14 11:54:44 EDT
Is this fix already in "plymouth.x86_64-0.7.0-0.2009.03.09.1.fc11"?

Do I need to pass "init=/sbin/bootchartd" or "init1=/sbin/bootchartd" as kernel command line to make bootchart work with my encrypted setup?
Comment 12 Bug Zapper 2009-06-09 07:25:55 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Ryan Rix 2009-08-30 17:03:44 EDT
This does not only occur when root is encrypted. I have an encrypted /private partition, and bootchart made my system nonbooting.
Comment 14 Tobias Mueller 2009-12-22 19:11:36 EST
yep. same here on F12. yum remove bootchart && yum remove kernel && yum install kernel made it work again.

ehh. I can't change the version to F12, can I?
Comment 15 Karel Volný 2010-02-24 13:01:49 EST
(In reply to comment #14)
> yep. same here on F12.

please, could you provide exact reproducer steps for F12?

- I've just tried to do a stock install of F12 with encrypted disc, installed bootchart and booted successfully, after giving passphrase it said unlocked and I got to login ...
Comment 16 Tobias Mueller 2010-06-17 16:41:38 EDT
It works on F12 for me. The fancy graphical boot thing doesn't show up but I couldn't care less.
Comment 17 Bug Zapper 2010-11-04 07:30:24 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Tom London 2010-11-04 09:21:45 EDT
Running Rawhide.
Comment 19 Bug Zapper 2010-12-05 02:00:43 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 20 Karel Volný 2010-12-15 07:51:15 EST
hm, I don't like this being marked WONTFIX when it obviously works - I've just retested with F14

hope "CLOSED RAWHIDE" makes better sense :-)

Note You need to log in before you can comment on or make changes to this bug.